#|
cmake ./ && make || exit 1
# LD_PRELOAD causes utf8 decoding errors in sbcl
# in run-progam used by sysdef.cmake
sbcl --noinform --noprint --disable-debugger --load $0 --end-toplevel-options -c || exit 1
LD_PRELOAD=./util/libcl-smoke-disable-backtrace.so exec -a "$0" sbcl --noinform --noprint --disable-debugger --load $0 --end-toplevel-options
# do not use --script to allow loading mudballs with ${HOME}/.sbclrc
# Used for testing on darcs record.
|#

(in-package :sysdef-user)

(defun load-sysdef (pathname system)
  (load pathname)
  (setf (mb.sysdef::pathname-of (find-system system)) pathname))

(defun load-sysdef-file (system-name)
  "Loads a mbd file in the current directory."
  (load-sysdef (make-pathname :defaults *default-pathname-defaults*
                                 :name (string-downcase system-name)
                                 :type "mbd")
               system-name))

(load-sysdef-file :kde)
(when (= 2 (length sb-ext:*posix-argv*))
	(mb:load :kde)
	(sb-ext:quit))
	
(mb:test :kde)

(sb-ext:quit)
